      real function expo(x)
c
      implicit none
c
      real x,crit
c
      crit=60.
c      expo=exp(x)
c      return
c      crit=60.
c      if (x.lt.-crit) then
c        expo=1.e-24
c      else
c        xtmp=min(x,crit)
        expo=exp(amin1(max(x,-crit),crit))
c      endif
c
      return
      end
